Package com.google.protobuf

# Class DescriptorProtos.FieldOptions.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<DescriptorProtos.FieldOptions.Builder>
com.google.protobuf.GeneratedMessage.Builder<DescriptorProtos.FieldOptions.Builder>
com.google.protobuf.GeneratedMessage.ExtendableBuilder<DescriptorProtos.FieldOptions,DescriptorProtos.FieldOptions.Builder>
com.google.protobuf.DescriptorProtos.FieldOptions.Builder

All Implemented Interfaces:
  `DescriptorProtos.FieldOptionsOrBuilder`, `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FieldOptions>`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `DescriptorProtos.FieldOptions`

public static final class DescriptorProtos.FieldOptions.Builder extends GeneratedMessage.ExtendableBuilder<DescriptorProtos.FieldOptions,DescriptorProtos.FieldOptions.Builder> implements DescriptorProtos.FieldOptionsOrBuilder
Protobuf type `google.protobuf.FieldOptions`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.FieldOptions.Builder`
`addAllEditionDefaults(Iterable<? extends DescriptorProtos.FieldOptions.EditionDefault> values)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`addAllTargets(Iterable<? extends DescriptorProtos.FieldOptions.OptionTargetType> values)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.FieldOptions.Builder`
`addAllUninterpretedOption(Iterable<? extends DescriptorProtos.UninterpretedOption> values)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`addEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault value)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`addEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault.Builder builderForValue)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`addEditionDefaults(DescriptorProtos.FieldOptions.EditionDefault value)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`addEditionDefaults(DescriptorProtos.FieldOptions.EditionDefault.Builder builderForValue)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.EditionDefault.Builder`
`addEditionDefaultsBuilder()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.EditionDefault.Builder`
`addEditionDefaultsBuilder(int index)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`addTargets(DescriptorProtos.FieldOptions.OptionTargetType value)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.FieldOptions.Builder`
`addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`addUninterpretedOption(DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addUninterpretedOptionBuilder()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`addUninterpretedOptionBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.FieldOptions`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.FieldOptions.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.FieldOptions.Builder`
`clearCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`DescriptorProtos.FieldOptions.Builder`
`clearDebugRedact()`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`DescriptorProtos.FieldOptions.Builder`
`clearDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`DescriptorProtos.FieldOptions.Builder`
`clearEditionDefaults()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`clearFeatures()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FieldOptions.Builder`
`clearFeatureSupport()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.Builder`
`clearJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`DescriptorProtos.FieldOptions.Builder`
`clearLazy()`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`DescriptorProtos.FieldOptions.Builder`
`clearPacked()`
`optional bool packed = 2 [json_name = "packed"];`
`DescriptorProtos.FieldOptions.Builder`
`clearRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`DescriptorProtos.FieldOptions.Builder`
`clearTargets()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.FieldOptions.Builder`
`clearUninterpretedOption()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`clearUnverifiedLazy()`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`DescriptorProtos.FieldOptions.Builder`
`clearWeak()`
`optional bool weak = 10 [default = false, json_name = "weak"];`
`DescriptorProtos.FieldOptions.CType`
`getCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`boolean`
`getDebugRedact()`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`DescriptorProtos.FieldOptions`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`boolean`
`getDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`DescriptorProtos.FieldOptions.EditionDefault`
`getEditionDefaults(int index)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.EditionDefault.Builder`
`getEditionDefaultsBuilder(int index)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`List<DescriptorProtos.FieldOptions.EditionDefault.Builder>`
`getEditionDefaultsBuilderList()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`int`
`getEditionDefaultsCount()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`List<DescriptorProtos.FieldOptions.EditionDefault>`
`getEditionDefaultsList()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.EditionDefaultOrBuilder`
`getEditionDefaultsOrBuilder(int index)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`List<? extends DescriptorProtos.FieldOptions.EditionDefaultOrBuilder>`
`getEditionDefaultsOrBuilderList()`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FeatureSet`
`getFeatures()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FeatureSet.Builder`
`getFeaturesBuilder()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FeatureSetOrBuilder`
`getFeaturesOrBuilder()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FieldOptions.FeatureSupport`
`getFeatureSupport()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.FeatureSupport.Builder`
`getFeatureSupportBuilder()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.FeatureSupportOrBuilder`
`getFeatureSupportOrBuilder()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.JSType`
`getJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`boolean`
`getLazy()`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`boolean`
`getPacked()`
`optional bool packed = 2 [json_name = "packed"];`
`DescriptorProtos.FieldOptions.OptionRetention`
`getRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`DescriptorProtos.FieldOptions.OptionTargetType`
`getTargets(int index)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`int`
`getTargetsCount()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`List<DescriptorProtos.FieldOptions.OptionTargetType>`
`getTargetsList()`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.UninterpretedOption`
`getUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOption.Builder`
`getUninterpretedOptionBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption.Builder>`
`getUninterpretedOptionBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`int`
`getUninterpretedOptionCount()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<DescriptorProtos.UninterpretedOption>`
`getUninterpretedOptionList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.UninterpretedOptionOrBuilder`
`getUninterpretedOptionOrBuilder(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>`
`getUninterpretedOptionOrBuilderList()`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`boolean`
`getUnverifiedLazy()`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`boolean`
`getWeak()`
`optional bool weak = 10 [default = false, json_name = "weak"];`
`boolean`
`hasCtype()`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`boolean`
`hasDebugRedact()`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`boolean`
`hasDeprecated()`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`boolean`
`hasFeatures()`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`boolean`
`hasFeatureSupport()`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`boolean`
`hasJstype()`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`boolean`
`hasLazy()`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`boolean`
`hasPacked()`
`optional bool packed = 2 [json_name = "packed"];`
`boolean`
`hasRetention()`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`boolean`
`hasUnverifiedLazy()`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`boolean`
`hasWeak()`
`optional bool weak = 10 [default = false, json_name = "weak"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.FieldOptions.Builder`
`mergeFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FieldOptions.Builder`
`mergeFeatureSupport(DescriptorProtos.FieldOptions.FeatureSupport value)`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.FieldOptions.Builder`
`mergeFrom(DescriptorProtos.FieldOptions other)`
`DescriptorProtos.FieldOptions.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.FieldOptions.Builder`
`removeEditionDefaults(int index)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`removeUninterpretedOption(int index)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`setCtype(DescriptorProtos.FieldOptions.CType value)`
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`
`DescriptorProtos.FieldOptions.Builder`
`setDebugRedact(boolean value)`
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`
`DescriptorProtos.FieldOptions.Builder`
`setDeprecated(boolean value)`
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`
`DescriptorProtos.FieldOptions.Builder`
`setEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault value)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`setEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault.Builder builderForValue)`
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`
`DescriptorProtos.FieldOptions.Builder`
`setFeatures(DescriptorProtos.FeatureSet value)`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FieldOptions.Builder`
`setFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)`
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`
`DescriptorProtos.FieldOptions.Builder`
`setFeatureSupport(DescriptorProtos.FieldOptions.FeatureSupport value)`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.Builder`
`setFeatureSupport(DescriptorProtos.FieldOptions.FeatureSupport.Builder builderForValue)`
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`
`DescriptorProtos.FieldOptions.Builder`
`setJstype(DescriptorProtos.FieldOptions.JSType value)`
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`
`DescriptorProtos.FieldOptions.Builder`
`setLazy(boolean value)`
`optional bool lazy = 5 [default = false, json_name = "lazy"];`
`DescriptorProtos.FieldOptions.Builder`
`setPacked(boolean value)`
`optional bool packed = 2 [json_name = "packed"];`
`DescriptorProtos.FieldOptions.Builder`
`setRetention(DescriptorProtos.FieldOptions.OptionRetention value)`
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`
`DescriptorProtos.FieldOptions.Builder`
`setTargets(int index, DescriptorProtos.FieldOptions.OptionTargetType value)`
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`
`DescriptorProtos.FieldOptions.Builder`
`setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)`
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`
`DescriptorProtos.FieldOptions.Builder`
`setUnverifiedLazy(boolean value)`
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`
`DescriptorProtos.FieldOptions.Builder`
`setWeak(boolean value)`
`optional bool weak = 10 [default = false, json_name = "weak"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableBuilder

`addExtension, addRepeatedField, clearExtension, clearField, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtensionCount, getField, getFieldBuilder, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, hasExtension, hasField, mergeExtensionFields, newBuilderForField, parseUnknownField, setExtension, setExtension, setField, setRepeatedField`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`clearOneof, clone, getOneofFieldDescriptor, getParentForChildren, getUnknownFields, getUnknownFieldSetBuilder, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, onBuilt, onChanged, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<DescriptorProtos.FieldOptions.Builder>`

### clear

public DescriptorProtos.FieldOptions.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.ExtendableBuilder<DescriptorProtos.FieldOptions,DescriptorProtos.FieldOptions.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<DescriptorProtos.FieldOptions.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.FieldOptions getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.FieldOptions>`
Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.FieldOptions build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.FieldOptions buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.FieldOptions.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FieldOptions.Builder>`

### mergeFrom

public DescriptorProtos.FieldOptions.Builder mergeFrom(DescriptorProtos.FieldOptions other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.ExtendableBuilder<DescriptorProtos.FieldOptions,DescriptorProtos.FieldOptions.Builder>`

### mergeFrom

public DescriptorProtos.FieldOptions.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FieldOptions.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasCtype

public boolean hasCtype()
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Specified by:
  `hasCtype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the ctype field is set.

### getCtype

public DescriptorProtos.FieldOptions.CType getCtype()
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Specified by:
  `getCtype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The ctype.

### setCtype

public DescriptorProtos.FieldOptions.Builder setCtype(DescriptorProtos.FieldOptions.CType value)
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Parameters:
  `value` - The ctype to set.
Returns:
  This builder for chaining.

### clearCtype

public DescriptorProtos.FieldOptions.Builder clearCtype()
`optional .google.protobuf.FieldOptions.CType ctype = 1 [default = STRING, json_name = "ctype"];`

Returns:
  This builder for chaining.

### hasPacked

public boolean hasPacked()
`optional bool packed = 2 [json_name = "packed"];`

Specified by:
  `hasPacked` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the packed field is set.

### getPacked

public boolean getPacked()
`optional bool packed = 2 [json_name = "packed"];`

Specified by:
  `getPacked` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The packed.

### setPacked

public DescriptorProtos.FieldOptions.Builder setPacked(boolean value)
`optional bool packed = 2 [json_name = "packed"];`

Parameters:
  `value` - The packed to set.
Returns:
  This builder for chaining.

### clearPacked

public DescriptorProtos.FieldOptions.Builder clearPacked()
`optional bool packed = 2 [json_name = "packed"];`

Returns:
  This builder for chaining.

### hasJstype

public boolean hasJstype()
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Specified by:
  `hasJstype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the jstype field is set.

### getJstype

public DescriptorProtos.FieldOptions.JSType getJstype()
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Specified by:
  `getJstype` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The jstype.

### setJstype

public DescriptorProtos.FieldOptions.Builder setJstype(DescriptorProtos.FieldOptions.JSType value)
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Parameters:
  `value` - The jstype to set.
Returns:
  This builder for chaining.

### clearJstype

public DescriptorProtos.FieldOptions.Builder clearJstype()
`optional .google.protobuf.FieldOptions.JSType jstype = 6 [default = JS_NORMAL, json_name = "jstype"];`

Returns:
  This builder for chaining.

### hasLazy

public boolean hasLazy()
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Specified by:
  `hasLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the lazy field is set.

### getLazy

public boolean getLazy()
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Specified by:
  `getLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The lazy.

### setLazy

public DescriptorProtos.FieldOptions.Builder setLazy(boolean value)
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Parameters:
  `value` - The lazy to set.
Returns:
  This builder for chaining.

### clearLazy

public DescriptorProtos.FieldOptions.Builder clearLazy()
`optional bool lazy = 5 [default = false, json_name = "lazy"];`

Returns:
  This builder for chaining.

### hasUnverifiedLazy

public boolean hasUnverifiedLazy()
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Specified by:
  `hasUnverifiedLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the unverifiedLazy field is set.

### getUnverifiedLazy

public boolean getUnverifiedLazy()
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Specified by:
  `getUnverifiedLazy` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The unverifiedLazy.

### setUnverifiedLazy

public DescriptorProtos.FieldOptions.Builder setUnverifiedLazy(boolean value)
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Parameters:
  `value` - The unverifiedLazy to set.
Returns:
  This builder for chaining.

### clearUnverifiedLazy

public DescriptorProtos.FieldOptions.Builder clearUnverifiedLazy()
`optional bool unverified_lazy = 15 [default = false, json_name = "unverifiedLazy"];`

Returns:
  This builder for chaining.

### hasDeprecated

public boolean hasDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Specified by:
  `hasDeprecated` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the deprecated field is set.

### getDeprecated

public boolean getDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Specified by:
  `getDeprecated` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The deprecated.

### setDeprecated

public DescriptorProtos.FieldOptions.Builder setDeprecated(boolean value)
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Parameters:
  `value` - The deprecated to set.
Returns:
  This builder for chaining.

### clearDeprecated

public DescriptorProtos.FieldOptions.Builder clearDeprecated()
`optional bool deprecated = 3 [default = false, json_name = "deprecated"];`

Returns:
  This builder for chaining.

### hasWeak

public boolean hasWeak()
`optional bool weak = 10 [default = false, json_name = "weak"];`

Specified by:
  `hasWeak` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the weak field is set.

### getWeak

public boolean getWeak()
`optional bool weak = 10 [default = false, json_name = "weak"];`

Specified by:
  `getWeak` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The weak.

### setWeak

public DescriptorProtos.FieldOptions.Builder setWeak(boolean value)
`optional bool weak = 10 [default = false, json_name = "weak"];`

Parameters:
  `value` - The weak to set.
Returns:
  This builder for chaining.

### clearWeak

public DescriptorProtos.FieldOptions.Builder clearWeak()
`optional bool weak = 10 [default = false, json_name = "weak"];`

Returns:
  This builder for chaining.

### hasDebugRedact

public boolean hasDebugRedact()
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Specified by:
  `hasDebugRedact` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the debugRedact field is set.

### getDebugRedact

public boolean getDebugRedact()
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Specified by:
  `getDebugRedact` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The debugRedact.

### setDebugRedact

public DescriptorProtos.FieldOptions.Builder setDebugRedact(boolean value)
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Parameters:
  `value` - The debugRedact to set.
Returns:
  This builder for chaining.

### clearDebugRedact

public DescriptorProtos.FieldOptions.Builder clearDebugRedact()
`optional bool debug_redact = 16 [default = false, json_name = "debugRedact"];`

Returns:
  This builder for chaining.

### hasRetention

public boolean hasRetention()
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Specified by:
  `hasRetention` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the retention field is set.

### getRetention

public DescriptorProtos.FieldOptions.OptionRetention getRetention()
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Specified by:
  `getRetention` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The retention.

### setRetention

public DescriptorProtos.FieldOptions.Builder setRetention(DescriptorProtos.FieldOptions.OptionRetention value)
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Parameters:
  `value` - The retention to set.
Returns:
  This builder for chaining.

### clearRetention

public DescriptorProtos.FieldOptions.Builder clearRetention()
`optional .google.protobuf.FieldOptions.OptionRetention retention = 17 [json_name = "retention"];`

Returns:
  This builder for chaining.

### getTargetsList

public List<DescriptorProtos.FieldOptions.OptionTargetType> getTargetsList()
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Specified by:
  `getTargetsList` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  A list containing the targets.

### getTargetsCount

public int getTargetsCount()
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Specified by:
  `getTargetsCount` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The count of targets.

### getTargets

public DescriptorProtos.FieldOptions.OptionTargetType getTargets(int index)
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Specified by:
  `getTargets` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The targets at the given index.

### setTargets

public DescriptorProtos.FieldOptions.Builder setTargets(int index, DescriptorProtos.FieldOptions.OptionTargetType value)
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The targets to set.
Returns:
  This builder for chaining.

### addTargets

public DescriptorProtos.FieldOptions.Builder addTargets(DescriptorProtos.FieldOptions.OptionTargetType value)
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Parameters:
  `value` - The targets to add.
Returns:
  This builder for chaining.

### addAllTargets

public DescriptorProtos.FieldOptions.Builder addAllTargets(Iterable<? extends DescriptorProtos.FieldOptions.OptionTargetType> values)
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Parameters:
  `values` - The targets to add.
Returns:
  This builder for chaining.

### clearTargets

public DescriptorProtos.FieldOptions.Builder clearTargets()
`repeated .google.protobuf.FieldOptions.OptionTargetType targets = 19 [json_name = "targets"];`

Returns:
  This builder for chaining.

### getEditionDefaultsList

public List<DescriptorProtos.FieldOptions.EditionDefault> getEditionDefaultsList()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getEditionDefaultsCount

public int getEditionDefaultsCount()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsCount` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getEditionDefaults

public DescriptorProtos.FieldOptions.EditionDefault getEditionDefaults(int index)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaults` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### setEditionDefaults

public DescriptorProtos.FieldOptions.Builder setEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault value)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### setEditionDefaults

public DescriptorProtos.FieldOptions.Builder setEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault.Builder builderForValue)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### addEditionDefaults

public DescriptorProtos.FieldOptions.Builder addEditionDefaults(DescriptorProtos.FieldOptions.EditionDefault value)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### addEditionDefaults

public DescriptorProtos.FieldOptions.Builder addEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault value)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### addEditionDefaults

public DescriptorProtos.FieldOptions.Builder addEditionDefaults(DescriptorProtos.FieldOptions.EditionDefault.Builder builderForValue)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### addEditionDefaults

public DescriptorProtos.FieldOptions.Builder addEditionDefaults(int index, DescriptorProtos.FieldOptions.EditionDefault.Builder builderForValue)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### addAllEditionDefaults

public DescriptorProtos.FieldOptions.Builder addAllEditionDefaults(Iterable<? extends DescriptorProtos.FieldOptions.EditionDefault> values)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### clearEditionDefaults

public DescriptorProtos.FieldOptions.Builder clearEditionDefaults()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### removeEditionDefaults

public DescriptorProtos.FieldOptions.Builder removeEditionDefaults(int index)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### getEditionDefaultsBuilder

public DescriptorProtos.FieldOptions.EditionDefault.Builder getEditionDefaultsBuilder(int index)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### getEditionDefaultsOrBuilder

public DescriptorProtos.FieldOptions.EditionDefaultOrBuilder getEditionDefaultsOrBuilder(int index)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getEditionDefaultsOrBuilderList

public List<? extends DescriptorProtos.FieldOptions.EditionDefaultOrBuilder> getEditionDefaultsOrBuilderList()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

Specified by:
  `getEditionDefaultsOrBuilderList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### addEditionDefaultsBuilder

public DescriptorProtos.FieldOptions.EditionDefault.Builder addEditionDefaultsBuilder()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### addEditionDefaultsBuilder

public DescriptorProtos.FieldOptions.EditionDefault.Builder addEditionDefaultsBuilder(int index)
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### getEditionDefaultsBuilderList

public List<DescriptorProtos.FieldOptions.EditionDefault.Builder> getEditionDefaultsBuilderList()
`repeated .google.protobuf.FieldOptions.EditionDefault edition_defaults = 20 [json_name = "editionDefaults"];`

### hasFeatures

public boolean hasFeatures()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

Specified by:
  `hasFeatures` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the features field is set.

### getFeatures

public DescriptorProtos.FeatureSet getFeatures()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

Specified by:
  `getFeatures` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The features.

### setFeatures

public DescriptorProtos.FieldOptions.Builder setFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

### setFeatures

public DescriptorProtos.FieldOptions.Builder setFeatures(DescriptorProtos.FeatureSet.Builder builderForValue)
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

### mergeFeatures

public DescriptorProtos.FieldOptions.Builder mergeFeatures(DescriptorProtos.FeatureSet value)
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

### clearFeatures

public DescriptorProtos.FieldOptions.Builder clearFeatures()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

### getFeaturesBuilder

public DescriptorProtos.FeatureSet.Builder getFeaturesBuilder()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

### getFeaturesOrBuilder

public DescriptorProtos.FeatureSetOrBuilder getFeaturesOrBuilder()
`optional .google.protobuf.FeatureSet features = 21 [json_name = "features"];`

Specified by:
  `getFeaturesOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### hasFeatureSupport

public boolean hasFeatureSupport()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

Specified by:
  `hasFeatureSupport` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  Whether the featureSupport field is set.

### getFeatureSupport

public DescriptorProtos.FieldOptions.FeatureSupport getFeatureSupport()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

Specified by:
  `getFeatureSupport` in interface `DescriptorProtos.FieldOptionsOrBuilder`
Returns:
  The featureSupport.

### setFeatureSupport

public DescriptorProtos.FieldOptions.Builder setFeatureSupport(DescriptorProtos.FieldOptions.FeatureSupport value)
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

### setFeatureSupport

public DescriptorProtos.FieldOptions.Builder setFeatureSupport(DescriptorProtos.FieldOptions.FeatureSupport.Builder builderForValue)
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

### mergeFeatureSupport

public DescriptorProtos.FieldOptions.Builder mergeFeatureSupport(DescriptorProtos.FieldOptions.FeatureSupport value)
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

### clearFeatureSupport

public DescriptorProtos.FieldOptions.Builder clearFeatureSupport()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

### getFeatureSupportBuilder

public DescriptorProtos.FieldOptions.FeatureSupport.Builder getFeatureSupportBuilder()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

### getFeatureSupportOrBuilder

public DescriptorProtos.FieldOptions.FeatureSupportOrBuilder getFeatureSupportOrBuilder()
`optional .google.protobuf.FieldOptions.FeatureSupport feature_support = 22 [json_name = "featureSupport"];`

Specified by:
  `getFeatureSupportOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOptionList

public List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOptionCount

public int getUninterpretedOptionCount()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionCount` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOption

public DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOption` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### setUninterpretedOption

public DescriptorProtos.FieldOptions.Builder setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### setUninterpretedOption

public DescriptorProtos.FieldOptions.Builder setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FieldOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FieldOptions.Builder addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FieldOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOption

public DescriptorProtos.FieldOptions.Builder addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addAllUninterpretedOption

public DescriptorProtos.FieldOptions.Builder addAllUninterpretedOption(Iterable<? extends DescriptorProtos.UninterpretedOption> values)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### clearUninterpretedOption

public DescriptorProtos.FieldOptions.Builder clearUninterpretedOption()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### removeUninterpretedOption

public DescriptorProtos.FieldOptions.Builder removeUninterpretedOption(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder getUninterpretedOptionBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionOrBuilder

public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### getUninterpretedOptionOrBuilderList

public List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

Specified by:
  `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.FieldOptionsOrBuilder`

### addUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### addUninterpretedOptionBuilder

public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder(int index)
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`

### getUninterpretedOptionBuilderList

public List<DescriptorProtos.UninterpretedOption.Builder> getUninterpretedOptionBuilderList()
`repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999 [json_name = "uninterpretedOption"];`